clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::ClangDocContext Struct Reference

`#include <Representation.h>`

Collaboration diagram for clang::doc::ClangDocContext:
[legend]

## Public Member Functions
| ClangDocContext ()=default
| ClangDocContext (tooling::ExecutionContext *ECtx, StringRef ProjectName, bool PublicOnly, StringRef OutDirectory, StringRef SourceRoot, StringRef RepositoryUrl, std::vector< std::string > UserStylesheets, std::vector< std::string > JsScripts)

## Public Attributes
tooling::ExecutionContext * | ECtx
std::string | ProjectName
bool | PublicOnly
std::string | OutDirectory
std::string | SourceRoot
llvm::Optional< std::string > | RepositoryUrl
std::vector< std::string > | UserStylesheets
std::vector< std::string > | JsScripts
std::vector< std::string > | FilesToCopy
Index | Idx

## Detailed Description

Definition at line 414 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ ClangDocContext() [1/2]

clang::doc::ClangDocContext::ClangDocContext | ( |  | ) |
| default

## ◆ ClangDocContext() [2/2]

clang::doc::ClangDocContext::ClangDocContext | ( | tooling::ExecutionContext * | ECtx,
|  | StringRef | ProjectName,
|  | bool | PublicOnly,
|  | StringRef | OutDirectory,
|  | StringRef | SourceRoot,
|  | StringRef | RepositoryUrl,
|  | std::vector< std::string > | UserStylesheets,
|  | std::vector< std::string > | JsScripts
| ) |  |

Definition at line 276 of file Representation.cpp.

References RepositoryUrl.

## Member Data Documentation

## ◆ ECtx

tooling::ExecutionContext* clang::doc::ClangDocContext::ECtx

Definition at line 421 of file Representation.h.

## ◆ FilesToCopy

std::vector<std::string> clang::doc::ClangDocContext::FilesToCopy

Definition at line 436 of file Representation.h.

## ◆ Idx

Index clang::doc::ClangDocContext::Idx

Definition at line 437 of file Representation.h.

## ◆ JsScripts

std::vector<std::string> clang::doc::ClangDocContext::JsScripts

Definition at line 434 of file Representation.h.

## ◆ OutDirectory

std::string clang::doc::ClangDocContext::OutDirectory

Definition at line 424 of file Representation.h.

Referenced by clang::doc::GenIndex(), and clang::doc::SerializeIndex().

## ◆ ProjectName

std::string clang::doc::ClangDocContext::ProjectName

Definition at line 422 of file Representation.h.

## ◆ PublicOnly

bool clang::doc::ClangDocContext::PublicOnly

Definition at line 423 of file Representation.h.

## ◆ RepositoryUrl

llvm::Optional<std::string> clang::doc::ClangDocContext::RepositoryUrl

Definition at line 429 of file Representation.h.

Referenced by ClangDocContext().

## ◆ SourceRoot

std::string clang::doc::ClangDocContext::SourceRoot

Definition at line 425 of file Representation.h.

## ◆ UserStylesheets

std::vector<std::string> clang::doc::ClangDocContext::UserStylesheets

Definition at line 432 of file Representation.h.

The documentation for this struct was generated from the following files:

- Representation.h
- Representation.cpp